<?php
/**
* @author moufer<moufer@163.com>
* @copyright www.modoer.com
*/
!defined('IN_MUDDER') && exit('Access Denied');
$mymod = $cr_mod ? $MOD : read_cache(MUDDER_CACHEDIR.'cache_'.$val_mod['flag'].'_config.php');
if($mymod['rewrite']) {
    // article
    $patterns[] = '/<a href="'.$full_url_preg.'article.php\?articleid=([0-9]+)"/i';
    $replacement[] = '<a href="'.$full_url.'$1.html"';
    $cr_mod && crMod($full_url_preg,$patterns,$replacement);
    // class
    $patterns[] = '/<a href="'.$full_url_preg.'index.php\?classid=([0-9]+)"/i';
    $replacement[] = '<a href="'.$full_url.'classid_$1.html"';
    $cr_mod && crMod($full_url_preg,$patterns,$replacement);
}
?>